=== applets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_subdirectory(dde-am)
add_subdirectory(dde-appearance)
add_subdirectory(dde-apps)
add_subdirectory(dde-shutdown)
