=== debian/changelog ===
dde-shell (2.0.15) unstable; urgency=medium

  * fix: add missing definitions for dockpanel
  * feat: add notification auto cleanup and timeout handling
  * fix: Signals during the process of adding dock animations
  * fix: move tooltip text assignment to show handler
  * fix: improve OSD panel timeout behavior with modifier key
  * i18n: Updates for project Deepin Desktop Environment (#1304)
  * fix: sometimes clicking dock icon won't activate window as intended

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 15:59:54 +0800

dde-shell (2.0.14) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#1294)
  * fix: icon minimize animation location on treeland is incorrect
  * fix: activate changed can cause crash
  * fix: compatibility with Qt 6.10
  * fix: align notification body text to top
  * fix: use rootObject to access dockSize property
  * fix: change text wrap mode from WordWrap to Wrap
  * chore: rename dock network plugin (#1296)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 16 Oct 2025 21:13:36 +0800

dde-shell (2.0.13) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#1283)
  * feat: add delayed window state reset with singleShot
  * fix: show tray action icons during drag operations
  * feat: enhance trash functionality with file count and drag hints
  * fix: prevent time text flickering on hover
  * fix: Ensure the show desktop line is always 1 physical pixel
    regardless of system scaling
  * feat: add clean all button to notification center
  * feat: implement close all windows functionality
  * chore: update window icon geometry via new taskmanager interface
  * feat: add sorting to tray items
  * fix: The newly dragged in stash container item is not displayed at
    the back (#1280)
  * i18n: Updates for project Deepin Desktop Environment (#1276)

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 10 Oct 2025 17:32:04 +0800

dde-shell (2.0.12) unstable; urgency=medium

  * fix: prevent dragging items to fixed plugin section
  * feat: add clean all button for overlap notifications
  * fix: improve text visibility logic in AnimationSettingButton
  * fix: Popup windows was not closed  when dock screen changed (#1274)
  * fix: Application tray button can accept right mouse button to open
    popup window
  * fix: ensure preview icon will use icon from theme as fallback
  * fix: taskmanager context menu should use app name instead of window
    title
  * i18n: Updates for project Deepin Desktop Environment (#1266)
  * fix: adjust notification center window positioning
  * feat: add button text labels for accessibility

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 25 Sep 2025 17:40:29 +0800

dde-shell (2.0.11) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#1257)
  * fix: sometimes dock might be empty after boot and login
  * fix: improve notification close button hover detection
  * fix: desktop menu actions shows English instead of locale language
  * fix: fix notification center tab key focus issue
  * fix: missing attention role for taskmanager's base model
  * chore: Use the hasBlurWindow interface
  * fix: The tray popup was was hidden when an item is dragged in or out
  * fix: When clicked the application tray button, the hover background
    is not displayed

 -- Wang Zichong <wangzichong@deepin.org>  Tue, 23 Sep 2025 13:09:55 +0800

dde-shell (2.0.10) unstable; urgency=medium

  * fix: adjust notification center scrollbar position
  * fix: adjust notification center width calculation
  * fix: remove redundant focus property in notification center
  * fix: ensure panel tooltips are capitalized
  * i18n: Updates for project Deepin Desktop Environment (#1247)
  * chore: bump CMake minimum required version to 3.16

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:39:39 +0800

dde-shell (2.0.9) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#1244)
  * fix: add back cache for window preview to avoid lag
  * chore: eliminate CMake configuration warnings
  * fix: add QML annotations to eliminate compilation warnings
  * fix: crash when click close on preview window in some cases
  * fix: improve task manager layout calculation
  * fix: prevent duplicate QML import paths
  * feat: add trash file drop support
  * refactor: migrate taskmanager model to the new DockItemModel
  * i18n: Updates for project Deepin Desktop Environment (#1236)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 11 Sep 2025 21:00:13 +0800

dde-shell (2.0.8) unstable; urgency=medium

  * fix: OSD cannot displayed on top of the lock window (#1234)
  * chore: remove requestPreview from abstracttaskmanagerinterface.h
  * i18n: Updates for project Deepin Desktop Environment (#1232)
  * fix: pluginVisibleChanged signal needs to be sent when dragging the
    plugin docked to tray
  * chore: add showdesktop and windoweffect to transifex.yaml
  * i18n: Updates for project Deepin Desktop Environment (#1231)
  * chore: implement dock item menus for DockGlobalElementModel

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 28 Aug 2025 14:33:05 +0200

dde-shell (2.0.7) unstable; urgency=medium

  * Fix: missing license header in new developer document
  * Fix: fix dock window shadow animation issue
  * Chore: Re-implement the calculation method of exclusion zone (#1227)
  * Chore: optimize packaging (#1225)
  * Feat: add configurable show desktop feature
  * Feat: new dconfig option to allow disable cgroups-based app grouping
  * Fix: update building warning.

 -- zyz <zhaoyingzhen@uniontech.com>  Fri, 22 Aug 2025 09:32:54 +0800

dde-shell (2.0.6) unstable; urgency=medium

  * i18n: Translate org.deepin.ds.notificationbubble.ts in lo (#1219)
  * chore: add ar, de, lo, sq to DDEShellPackageMacros.cmake
  * i18n: Updates for project Deepin Desktop Environment (#1211)
  * fix: close tooltip before show desktop action


