=== debian/changelog ===
dde-shell (2.0.17) unstable; urgency=medium

  * fix: use correct index when adding dock elements
  * i18n: Translate org.deepin.ds.osd.default.ts in fi (#1327)
  * fix: incorrect window state for JLCPCB
  * chore: ensure ctest can detect gtest unit tests
  * feat: ability to fine-tune cgroups-based appid detection
  * fix: skip tooltip windows in dock event filter
  * i18n: Updates for project Deepin Desktop Environment (#1322)

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 06 Nov 2025 16:14:02 +0800

dde-shell (2.0.16) unstable; urgency=medium

  * feat: implement trash empty state detection
  * feat: add camera status OSD notifications
  * i18n: Updates for project Deepin Desktop Environment (#1315)
  * fix: disable dock panel dragging when locked
  * fix: correct bubble ID handling in notification system
  * feat: set focus to first expanded notification item
  * feat: enhance window identification with ApplicationManager
  * feat: add modal property to notification setting menu
  * refactor: optimize expired notification cleanup implementation
  * Revert "feat: add trash file drop support"

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 30 Oct 2025 21:44:35 +0800
