=== debian/changelog ===
dde-shell (2.0.19.2) unstable; urgency=medium

  * feat: add dock-specific tray item visibility control

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 16 Jan 2026 10:40:29 +0800

dde-shell (2.0.19.1) unstable; urgency=medium

  * fix: add command whitelist validation for notification actions
  * fix: add DTK preference override configuration

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 06 Jan 2026 10:18:57 +0800
